package envoy.event;

/**
 * This event should be sent when a user is currently typing something in a chat.
 *
 * @author Leon Hofmeister
 * @since Envoy Client v0.2-beta
 */
public final class IsTyping extends Event<Long> {

	private static final long serialVersionUID = 1L;

	/**
	 * The number of milliseconds that this event will be active.
	 * <p>
	 * Currently set to 3.5 seconds.
	 *
	 * @since Envoy Common v0.2-beta
	 */
	public static final int millisecondsActive = 3500;

	/**
	 * Creates a new {@code IsTyping}. The client will only send the contact that should receive
	 * this event. The server will send the id of the contact who sent this event.
	 *
	 * @param id the ID of the recipient (client)/ originator(server)
	 * @since Envoy Common v0.2-beta
	 */
	public IsTyping(long id) {
		super(id);
	}
}
